/* STYLES DU MODULE YOUTUBE BACKGROUND */
.op-youtube-container {
    position: relative;
    width: 100%;
    overflow: hidden;
    background-color: #000;
}

.op-youtube-container::before {
    content: "";
    display: block;
    background: rgba(0, 0, 0, 0.4);
    position: absolute;
    inset: 0;
    z-index: 1;
}

.op-youtube-video-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
    pointer-events: none;
    width: 100vw;
    height: 56.25vw;
    /* Ratio 16:9 */
}

@media (max-aspect-ratio: 16/9) {
    .op-youtube-video-wrapper {
        width: 177.78vh;
        height: 100vh;
    }
}

.op-youtube-video-wrapper iframe {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    transform: translate(-50%, -50%) scale(1.15);
    /* Évite les bords noirs */
}

.op-youtube-content {
    position: relative;
    z-index: 2;
    text-align: center;
    color: var(--section-titre-color);
    max-width: 800px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
}